Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 191966 - xorg-x11-utils fails to build using mock
Summary: xorg-x11-utils fails to build using mock
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-utils
Version: 5
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC6Target BuildReqBlocker
TreeView+ depends on / blocked
 
Reported: 2006-05-16 16:22 UTC by Alexander Täschner
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 1.0.1-3
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-05-31 15:04:58 UTC


Attachments (Terms of Use)
build.log of mock (deleted)
2006-05-16 16:22 UTC, Alexander Täschner
no flags Details
build.log of sucessful build (deleted)
2006-05-16 17:41 UTC, Alexander Täschner
no flags Details

Description Alexander Täschner 2006-05-16 16:22:14 UTC
Building the SRPM
http://download.fedora.redhat.com/pub/fedora/linux/core/5/source/SRPMS/xorg-x11-utils-1.0.1-1.2.src.rpm
using mock fails.

Attached is the build.log.

Comment 1 Alexander Täschner 2006-05-16 16:22:15 UTC
Created attachment 129224 [details]
build.log of mock

Comment 2 Alexander Täschner 2006-05-16 17:41:35 UTC
Created attachment 129246 [details]
build.log of sucessful build

Adding the lines

BuildRequires: libXext-devel libXtst-devel libXaw-devel libXt-devel
libXpm-devel
BuildRequires: libXinerama-devel libXxf86misc-devel
BuildRequires: libXxf86dga-devel libXxf86vm-devel libdmx-devel
BuildRequires: libXp-devel libXi-devel

to xorg-x11-utils.spec solves the build problem.

Attached is the build.log.

Comment 3 Mike A. Harris 2006-05-16 17:44:59 UTC
Adding to FC6Target

Comment 4 Adam Jackson 2006-05-31 15:04:58 UTC
fixed in rawhide, i believe.  i omitted the libXp-devel buildreq intentionally,
but i also removed libXp-devel from my local system and the build still worked fine.


Note You need to log in before you can comment on or make changes to this bug.